POST /whatsapp/accounts/{id}/templates

Submit a template for review (status PENDING; template.status reports the decision)

POST
/whatsapp/accounts/{id}/templates

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

Request Body

application/json
  1. body
name*string

Lowercase letters, digits and underscores

Match^[a-z0-9_]+$
Lengthlength <= 512
language*string

e.g. en_US

category*string
Value in"MARKETING""UTILITY""AUTHENTICATION"
components*array<>

Meta components (BODY required), e.g. [{type:"BODY",text:"Hi {{1}}",example:{body_text:[["Ana"]]}}]

parameterFormat?string
Value in"positional""named"
allowCategoryChange?boolean

Response Body

{accountId, template}

application/json
  1. response
accountId?string
template?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/accounts/string/templates' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "language": "string",  "category": "MARKETING",  "components": [    {}  ]}'
Example Response
{  "accountId": "string",  "template": {    "id": "string",    "name": "string",    "language": "string",    "category": "MARKETING",    "status": "string",    "components": [      {}    ],    "qualityScore": null,    "rejectedReason": "string",    "parameterFormat": "POSITIONAL"  }}